public class PromotoreConcerto {
	
	public static enum TipoVendita {TELEFONO, SUL_POSTO};
	private String nomeGruppo;
	private int capacita;
	private int numVenduti;
	private double costoBigliettoAlTelefono;
	private double costoBigliettoSulPosto;
	private double totaleVendite;
	private TipoVendita statoVendita;
	
	public PromotoreConcerto(){
		this("",0,0,0,0,0,TipoVendita.TELEFONO);
	}
	
	public PromotoreConcerto(String nome, int capacita, int n, double costoT, double costoP, double totale, TipoVendita stato){
		this.nomeGruppo = nome;
		this.capacita = capacita;
		this.numVenduti = n;
		this.costoBigliettoAlTelefono = costoT;
		this.costoBigliettoSulPosto = costoP;
		this.totaleVendite = totale;
		this.statoVendita = stato;
	}
	
	public void venditaBiglietti(int n){
		if(n <= getRimanenti()){
			numVenduti += n;
			if(statoVendita==TipoVendita.TELEFONO)
				totaleVendite += n*costoBigliettoAlTelefono;
			else
				totaleVendite += n*costoBigliettoSulPosto;
		}
		else
			System.out.println("Biglietti disponibili non sufficienti!");
	}
	
	public void cambiaStato(){
		statoVendita = TipoVendita.SUL_POSTO;
	}
	
	public int getNumVenduti(){
		return numVenduti;
	}
	
	public int getRimanenti(){
		return capacita - numVenduti;
	}
	
	public double getTotaleVendite(){
		return totaleVendite;
	}
	
	public TipoVendita getStatoVendita(){
		return statoVendita;
	}
}
