/*
 * Progetto 9 del Capitolo 9 del libro Savitch.
 * 
 * Si riperta il progetto 10 del capitolo 8 includendo i
 * costruttori.
 * 
 * Si consideri una classe PromotoreConcerto che registra
 * i biglietti venduti per un concerto.
 * Prima del giorno del concerto i biglietti vengono venduti
 * solo al telefono. Le vendite il giorno del concerto sono
 * fatte solo di persona, sul posto.
 * La classe ha i seguenti attributi:
 * - nome del gruppo
 * - capacit del luogo in cui si svolge il concerto
 * - numero biglietti venduti
 * - prezzo di un biglietti venduto al telefono
 * - prezzo di un biglietto venduto sul posto
 * - ricavato totale dalla vendita
 * Ha metodi per le seguenti attivit:
 * - registrare la vendita di uno o pi biglietti
 * - cambiare lo stato da vendita al telefono a vendita sul
 * posto
 * - restituire il numero di biglietti venduti
 * - restituire il numero di biglietti rimanenti
 * - restituire il totale delle vendite per il concerto
 * Si elenchino gli attributi aggiuntivi non indicati nel 
 * testo, ma necessari per l'implementazione.
 * Si scriva un programma che usa la classe scritta per
 * registrare le vendite per un concerto. Il programma 
 * deve registrare le vendite effettuate al telefono e
 * quelle sul posto. A mano a mano che vengono venduti 
 * i biglietti, devono essere mostrati i posti disponibili.
 * Al termine il programma deve mostrare il numero di
 * biglietti venduti e il ricavato totale dalle vendite. 
 * 
 */

import java.util.*;
import java.text.*;

import progetto_9.PromotoreConcerto.TipoVendita;

public class TesterPromotoreConcerto {
	
	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		DecimalFormat df = new DecimalFormat("0.00");
		
		System.out.println("Vendita di biglietti per un concerto.");
		PromotoreConcerto promotore = new PromotoreConcerto("U2",5000,0,80,100,0,TipoVendita.TELEFONO);
		boolean terminato = false;
		do{
			if(promotore.getStatoVendita()==TipoVendita.TELEFONO){
				System.out.print("Oggi  il giorno del concerto? (si/no): ");
				String risposta = tastiera.next();
				if(risposta.equalsIgnoreCase("si"))
					promotore.cambiaStato();
			}
			System.out.println("Quanti biglietti vuoi acquistare? ");
			int numBiglietti = tastiera.nextInt();
			promotore.venditaBiglietti(numBiglietti);
			System.out.println("I biglietti ancora disponibili sono: "+promotore.getRimanenti());
			System.out.print("Vuoi acquistare altri biglietti? (si/no): ");
			String continua = tastiera.next();
			if(continua.equalsIgnoreCase("no"))
				terminato = true;
		}while(!terminato);
		
		System.out.println("Il numero di biglietti venduti : "+promotore.getNumVenduti());
		System.out.println("Il totale delle vendite : "+df.format(promotore.getTotaleVendite())+"");
		
		tastiera.close();
		
	}

}
